Error When Installing BrowserCheck Plug-in for Firefox 40+

Document created by Robert Dell'Immagine Employee on Dec 22, 2015Last modified by Robert Dell'Immagine Employee on Aug 3, 2016
Version 14Show Document
  • View in full screen mode

Update August 3, 2016

BrowserCheck now has a signed plugin, so this issue is no longer present.

 

** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** ** **

 

Original Post

Starting with Firefox 40, Mozilla is recommending / requiring that all add-ons be signed in order for them to be installable. Qualys is in the process of getting the BrowserCheck plug-in signed, and expects this to be complete before Firefox 46 is released. However, this is taking longer than expected due to bugs in the signing mechanism that Mozilla is addressing. As soon as the signed version of the plug-in is released, installation and running of the plug-in will function normally without error.

 

In the meantime, here are the behaviors you will see and Qualys' recommendations.

 

Firefox 40 - 42

Firefox warns about unsigned plug-ins, but doesn't prevent them from installing.

 

Workaround: You may ignore the warning, and the BrowserCheck plug-in will install and work correctly.

 

 

Firefox 43 - 47

Users who attempt to install the BrowserCheck plug-in on Firefox 43 - 47 are seeing an error instead of a warning when they try to install the BrowserCheck plug-in. The error message states, "The add-on downloaded from this site could not be installed because it appears to be corrupt." While the plug-in is unsigned rather than corrupt, this error still prevents user from installing the plug-in.

 

Workaround: Firefox 43 - 47 have a preference that allows signature enforcement to be disabled (xpinstall.signatures.required in about:config). You may disable signature enforcement by following these instructions:

 

  1. Launch FireFox.
  2. Type in address bar "about:config".
  3. Accept the message that states: "This might void your warranty!"
  4. Search for "xpinstall.signatures.required" in the search window.
  5. It will be set by default to "true"; double click on it to set it to "false".
  6. Run BrowserCheck and install the plug-in.
  7. Click continue and allow installation, which will restart the browser.

 

 

Firefox 48

Release and Beta versions of Firefox 48 will not allow unsigned extensions to be installed, with no override.

 

Development of a signed BrowserCheck plug-in is under way, and the signed plug-in is expected to be released before Firefox 48 is released.

 

Thank you for your understanding as we complete the plug-in signing process.

Attachments

    Outcomes